Package org.eclipse.m2m.atl.engine.vm

# Class ASMEngine

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMEngine

public class ASMEngine extends Object
ASM Engine. This is the main entrypoint when using ATL from command-line. It delegates to another class depending on the kind of operation to perform: simple transformation or composite transformation execution, or simply copy (with possible use of injectors and extractors).

## Field Summary

Fields
Modifier and Type
Field
Description
`static PluginClassLoader`
`cl`

## Constructor Summary

Constructors
Constructor
Description
`ASMEngine()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static void`
`realMain(String[] args, PluginClassLoader pcl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cl

public static PluginClassLoader cl

## Constructor Details

### ASMEngine

public ASMEngine()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### realMain

public static void realMain(String[] args, PluginClassLoader pcl) throws Exception

Throws:
  `Exception`